Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200608-18] Net::Server: Format string vulnerability


Vulnerability Assessment Details

[GLSA-200608-18] Net::Server: Format string vulnerability

Vulnerability Assessment Summary
Net::Server: Format string vulnerability

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200608-18
(Net::Server: Format string vulnerability)


The log function of Net::Server does not handle format string
specifiers properly before they are sent to syslog.

Impact

By sending a specially crafted datastream to an application using
Net::Server, a possible hacker could cause a Denial of Service.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1127


Solution:
All Net::Server should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-perl/net-server-0.88"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2006 Michel Arboi

Cables, Connectors

Mixed Lot Of (4) Dell Latitude E6400 Laptops Core 2 Duo 2GB RAM No Hard Drive
$19.99
Mixed Lot Of (4) Dell Latitude E6400 Laptops Core 2 Duo 2GB RAM No Hard Drive pictureHPE Mixed Use
$462.73
HPE Mixed Use pictureHP SimpleSave 1TB External HardDrive MD1000H With Power & USB Cable + Backup APP
$39.0
HP SimpleSave 1TB External HardDrive MD1000H With Power & USB Cable + Backup APP pictureSamsung 970 EVO Plus 1TB PCI Express 3.0 x4 NVMe M.2 SSD opened for measurement
$225.0
Samsung 970 EVO Plus 1TB PCI Express 3.0 x4 NVMe M.2 SSD opened for measurement picture


Discussions

No Discussions have been posted on this vulnerability.